Subject: bug#62940: 29.0.60; vc: no easy way to get diff of all outgoing changes

From: Dmitry Gutov <[email-masked]>
Date: Mon, 19 May 2025 04:49:31 +0300

On 18/05/2025 14:04, Sean Whitton wrote:

>> What I was referring to, is the item D. from the original report's
>> description: being able to make the diff between the last pushed revision
>> ("upstream revision" or merge-base with it) and the current state of the
>> working directory, including the uncommitted changes.
> 
> Ah, right.
> 
>> IIUC vc-diff-fileset-outgoing wouldn't include those changes,
> 
> Right.
> 
>> or if it would, someone would prefer (or like to be able to) making
>> the diff which doesn't include uncommitted changes.
> 
> You mean one that *does* include uncommitted changes, right?

I meant that if we make new commands that will include those changes, 
some might like a version that does not. Just the basic theoretical 
argument for flexibility.

>> Fair point. I wonder how many are really aware of this submap, and of
>> the 'C-x v b' submap as well.
> 
> Yeah.  Any thoughts on making it more discoverable?

The 'C-x v M' commands could be added to the manual - if we do think 
they will be used often enough.

For the branch submap, the recently added which-key-map will probably 
help some.

>> Okay, and to do that we would also need to add a new backend action, like
>> 'upstream-revision'?
>>
>> If so, that would be a common ground between several proposals, and thus a
>> good path forward.
> 
> Yes.  I'll work on that.

Thank you.